function selection_cloneShallow() {
	var e = this.cloneNode(!1), t = this.parentNode;
	return t ? t.insertBefore(e, this.nextSibling) : e;
}
function selection_cloneDeep() {
	var e = this.cloneNode(!0), t = this.parentNode;
	return t ? t.insertBefore(e, this.nextSibling) : e;
}
function clone_default(n) {
	return this.select(n ? selection_cloneDeep : selection_cloneShallow);
}
export { clone_default as default };
